1 Reply Latest reply: Oct 13, 2013 1:17 PM by Nick Holmes
sc2020 Level 1 Level 1 (0 points)

I tried to install FCP7 on my new 30 inch iMac,3.2 ghz intel core i5 running 10.8.5 and it won't allow me to intall FCP7?


Any way to go back to the old FCP7?



iMac, OS X Mountain Lion (10.8.5), 3.2 ghz Core i5